// Breakpoints

$breakpoints: (
	xs: 32rem,
	// ~512px
	sm: 48.875rem,
	// ~782px
	md: 64rem,
	// ~1024px
	lg: 80rem,
	// ~1280px
	xl: 90rem,
	// ~1440px
	wp-sm: 600px,
) !default;

@mixin breakpoint($breakpoint, $logic: false) {
	@if ($logic) {
		@media (max-width: map-get($map: $breakpoints, $key: $breakpoint) - .01rem) {
			@content;
		}
	} @else {
		@media (min-width: map-get($map: $breakpoints, $key: $breakpoint)) {
			@content;
		}
	}
}
